package br.com.senacagil.springmvc.dao;

/**
 * (c) 2007, D George
 * Spring / JPA / Maven Example Code
 * 
 * Demonstrates EJB 3.0 QL
 * 
 * reference: http://www.ibm.com/developerworks/edu/j-dw-java-spring2-i.html
 */
import java.util.List;

import org.springframework.orm.jpa.support.JpaDaoSupport;
import br.com.senacagil.springmvc.model.*;

public interface CustomerDAO {

	public Customer findById(long id);

	public List<Customer> findAll();

	public List<Customer> findByAddressStreetName(String street);

	public List<Customer> findByCustomerLastName(String lastName);
	
	public List<Customer> findByCustomerPartialName(String partName);

	public Customer save(Customer c);

	public Customer update(Customer c);

	public void delete(Customer c);
}
